## javax.ws.rs
Annotation Type HttpMethod

    @Target(value=ANNOTATION_TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface HttpMethod

Associates the name of a HTTP method with an annotation. A Java method annotated with a runtime annotation that is itself annotated with this annotation will be used to handle HTTP requests of the indicated HTTP method. It is an error for a method to be annotated with more than one annotation that is annotated with `HttpMethod`.

See Also:
  `GET`, `POST`, `PUT`, `DELETE`, `HEAD`

Required Element Summary
`java.lang.String` | `value` Specifies the name of a HTTP method.

Element Detail

### value

    public abstract java.lang.String value

  Specifies the name of a HTTP method. E.g. "GET".

Copyright © 2017 Oracle Corporation. All Rights Reserved.